<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: DAQ_Link_EventBuilder Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">DAQ_Link_EventBuilder Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for DAQ_Link_EventBuilder:</div>
<div class="dyncontent">
<div class="center"><img src="classDAQ__Link__EventBuilder__inherit__graph.png" border="0" usemap="#DAQ__Link__EventBuilder_inherit__map" alt="Inheritance graph"/></div>
<map name="DAQ__Link__EventBuilder_inherit__map" id="DAQ__Link__EventBuilder_inherit__map">
<area shape="rect" id="node7" href="classEventBuilder.html" title="EventBuilder" alt="" coords="363,155,465,181"/><area shape="rect" id="node2" href="classCRCD64__RCE.html" title="work.CRCD64_RCE" alt="" coords="5,5,153,32"/><area shape="rect" id="node3" href="classCRCD64__FELIX.html" title="work.CRCD64_FELIX" alt="" coords="178,5,335,32"/><area shape="rect" id="node4" href="classGearbox.html" title="work.Gearbox" alt="" coords="359,5,469,32"/><area shape="rect" id="node5" href="classRCE__SPY__BUFFER.html" title="RCE_SPY_BUFFER" alt="" coords="493,5,641,32"/><area shape="rect" id="node6" href="classcounter.html" title="work.counter(2)" alt="" coords="666,5,786,32"/><area shape="rect" id="node8" href="classWIB.html" title="WIB" alt="" coords="390,229,438,256"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classDAQ__Link__EventBuilder-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html">behavioral</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:a2edc34402b573437d5f25fa90ba4013e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2edc34402b573437d5f25fa90ba4013e"></a>
<a class="el" href="classDAQ__Link__EventBuilder.html#a2edc34402b573437d5f25fa90ba4013e">numeric_std</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:a98507a0fe8002408a9d024a6658901e7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a98507a0fe8002408a9d024a6658901e7"></a>
<a class="el" href="classDAQ__Link__EventBuilder.html#a98507a0fe8002408a9d024a6658901e7">WIB_Constants</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classWIB__Constants.html"> &lt;WIB_Constants&gt;</a></td></tr>
<tr class="memitem:adbf66be47e4db7c96a68b5207490642b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adbf66be47e4db7c96a68b5207490642b"></a>
<a class="el" href="classDAQ__Link__EventBuilder.html#adbf66be47e4db7c96a68b5207490642b">Convert_IO</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classConvert__IO.html"> &lt;Convert_IO&gt;</a></td></tr>
<tr class="memitem:a1d5f255abab5ee2026654de5f7d76202"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1d5f255abab5ee2026654de5f7d76202"></a>
<a class="el" href="classDAQ__Link__EventBuilder.html#a1d5f255abab5ee2026654de5f7d76202">EB_IO</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classEB__IO.html"> &lt;EB_IO&gt;</a></td></tr>
<tr class="memitem:a1a7369aeafa8e07dc7207d2a2d771b47"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1a7369aeafa8e07dc7207d2a2d771b47"></a>
<a class="el" href="classDAQ__Link__EventBuilder.html#a1a7369aeafa8e07dc7207d2a2d771b47">COLDATA_IO</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classCOLDATA__IO.html"> &lt;COLDATA_IO&gt;</a></td></tr>
<tr class="memitem:ada1730f3e85914449cfc1bf2e0ef0c4d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ada1730f3e85914449cfc1bf2e0ef0c4d"></a>
<a class="el" href="classDAQ__Link__EventBuilder.html#ada1730f3e85914449cfc1bf2e0ef0c4d">types</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classtypes.html"> &lt;types&gt;</a></td></tr>
<tr class="memitem:a1b6398cd4c2542dd080ec25adc59cab7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1b6398cd4c2542dd080ec25adc59cab7"></a>
<a class="el" href="classDAQ__Link__EventBuilder.html#a1b6398cd4c2542dd080ec25adc59cab7">Gearbox_constants</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classGearbox__constants.html"> &lt;Gearbox_constants&gt;</a></td></tr>
<tr class="memitem:ac7bc36933086c639702c5cf5e9b7dd18"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac7bc36933086c639702c5cf5e9b7dd18"></a>
<a class="el" href="classDAQ__Link__EventBuilder.html#ac7bc36933086c639702c5cf5e9b7dd18">GB_IO</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classGB__IO.html"> &lt;GB_IO&gt;</a></td></tr>
<tr class="memitem:a3f50af30a812245a23dd8dca051a6af5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3f50af30a812245a23dd8dca051a6af5"></a>
<a class="el" href="classDAQ__Link__EventBuilder.html#a3f50af30a812245a23dd8dca051a6af5">WIB_IO</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classWIB__IO.html"> &lt;WIB_IO&gt;</a></td></tr>
<tr class="memitem:a8610a7f240b7527da75925f19529e446"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8610a7f240b7527da75925f19529e446"></a>
<a class="el" href="classDAQ__Link__EventBuilder.html#a8610a7f240b7527da75925f19529e446">CD_EB_BRIDGE</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classCD__EB__BRIDGE.html"> &lt;CD_EB_BRIDGE&gt;</a></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Generics"></a>
Generics</h2></td></tr>
 <tr class="memitem:a1ce965be61beb5ba81ddac2ed85369ae"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1ce965be61beb5ba81ddac2ed85369ae"></a>
<a class="el" href="classDAQ__Link__EventBuilder.html#a1ce965be61beb5ba81ddac2ed85369ae">OUTPUT_BYTE_COUNT</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">8</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a2367c229a63ed20c5bd67196a08156a9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2367c229a63ed20c5bd67196a08156a9"></a>
<a class="el" href="classDAQ__Link__EventBuilder.html#a2367c229a63ed20c5bd67196a08156a9">FIBER_ID</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:aec59ad7fb872308b3e1a455c5328cdff"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aec59ad7fb872308b3e1a455c5328cdff"></a>
<a class="el" href="classDAQ__Link__EventBuilder.html#aec59ad7fb872308b3e1a455c5328cdff">clk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa5dee59e6dfd116b6e40669ba272461f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa5dee59e6dfd116b6e40669ba272461f"></a>
<a class="el" href="classDAQ__Link__EventBuilder.html#aa5dee59e6dfd116b6e40669ba272461f">reset</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aed7e7d668140013cfbb0ef502647433b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aed7e7d668140013cfbb0ef502647433b"></a>
<a class="el" href="classDAQ__Link__EventBuilder.html#aed7e7d668140013cfbb0ef502647433b">WIB_ID</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">WIB_ID_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a63b013fd3fb50222475132b9ad926440"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a63b013fd3fb50222475132b9ad926440"></a>
<a class="el" href="classDAQ__Link__EventBuilder.html#a63b013fd3fb50222475132b9ad926440">convert</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">convert_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6049abe38c162dd8c732bb0d62f04b36"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6049abe38c162dd8c732bb0d62f04b36"></a>
<a class="el" href="classDAQ__Link__EventBuilder.html#a6049abe38c162dd8c732bb0d62f04b36">CD_stream</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">CD_stream_array_t</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">CDAS_PER_DAQ_LINK</span><span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar"> </span><span class="vhdlchar">LINKS_PER_CDA</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1a16735ff771d469f88246bae8d25428"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1a16735ff771d469f88246bae8d25428"></a>
<a class="el" href="classDAQ__Link__EventBuilder.html#a1a16735ff771d469f88246bae8d25428">CD_read</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">CDAS_PER_DAQ_LINK</span><span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar"> </span><span class="vhdlchar">LINKS_PER_CDA</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5f204b5e44d2d5cec01b9eee64dbf418"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5f204b5e44d2d5cec01b9eee64dbf418"></a>
<a class="el" href="classDAQ__Link__EventBuilder.html#a5f204b5e44d2d5cec01b9eee64dbf418">data_out</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span> <span class="vhdldigit">8</span> <span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar"> </span><span class="vhdlchar">OUTPUT_BYTE_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afcb0276c67e3a6dc498e4b69638be088"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afcb0276c67e3a6dc498e4b69638be088"></a>
<a class="el" href="classDAQ__Link__EventBuilder.html#afcb0276c67e3a6dc498e4b69638be088">data_k_out</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">OUTPUT_BYTE_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aca56b041834986a53426f3cffac01a28"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aca56b041834986a53426f3cffac01a28"></a>
<a class="el" href="classDAQ__Link__EventBuilder.html#aca56b041834986a53426f3cffac01a28">monitor</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">DAQ_Link_EB_Monitor_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a69e7b1436c67c8383f61cec48cccd64e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a69e7b1436c67c8383f61cec48cccd64e"></a>
<a class="el" href="classDAQ__Link__EventBuilder.html#a69e7b1436c67c8383f61cec48cccd64e">control</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">DAQ_Link_EB_Control_t</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="DAQ__LINK__EventBuilder_8vhd_source.html#l00015">15</a> of file <a class="el" href="DAQ__LINK__EventBuilder_8vhd_source.html">DAQ_LINK_EventBuilder.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/EventBuilder/<a class="el" href="DAQ__LINK__EventBuilder_8vhd_source.html">DAQ_LINK_EventBuilder.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:32 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
